## START: Set by rpmautospec
## (rpmautospec version 0.6.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global uuid argos@pew.worldwidemann.com

%global forgeurl https://github.com/p-e-w/argos
%global commit e2d68ea23eed081fccaec06c384e2c5d2acb5b6b
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global date 20230404

# Supporting GNOME 45 requires applying a patch that does not support
# older releases
%if 0%{?fedora} >= 39
%bcond_without gnome45
%else
%bcond_with gnome45
%endif

Name:           gnome-shell-extension-argos
Version:        3^%{date}git%{shortcommit}
Release:        %autorelease
Summary:        Create GNOME Shell extensions in seconds

License:        GPL-3.0-only
URL:            %{forgeurl}
Source:         %{url}/archive/%{commit}/argos-%{commit}.tar.gz
Patch:          %{forgeurl}/pull/150.patch#/argos-gnome-45.diff
Patch:          %{forgeurl}/pull/158.patch#/argos-gnome-46.diff

BuildArch:      noarch

%if %{with gnome45}
Requires:       gnome-shell >= 45.0
%else
Requires:       gnome-shell < 45.0
%endif

%description
Most GNOME Shell extensions do one thing: Add a button with a dropdown menu to
the panel, displaying information and exposing functionality. Even in its
simplest form, creating such an extension is a nontrivial task involving a
poorly documented and ever-changing JavaScript API.

Argos lets you write GNOME Shell extensions in a language that every Linux user
is already intimately familiar with: Bash scripts.

More precisely, Argos is a GNOME Shell extension that turns executables'
standard output into panel dropdown menus. It is inspired by, and fully
compatible with, the BitBar app for macOS. Argos supports many BitBar plugins
without modifications, giving you access to a large library of well-tested
scripts in addition to being able to write your own.


%prep
%autosetup -N -n argos-%{commit}
%autopatch -M 99 -p1

%if %{with gnome45}
%autopatch -m 100 -p1
%endif


%build


%install
mkdir -p %{buildroot}/%{_datadir}/gnome-shell/extensions/
cp -pr %{uuid} %{buildroot}%{_datadir}/gnome-shell/extensions/


%files
# asked upstream to include license text:
# https://github.com/p-e-w/argos/pull/115
%doc README.md
%{_datadir}/gnome-shell/extensions/%{uuid}/


%changelog
## START: Generated by rpmautospec
* Thu Mar 28 2024 Michel Lind <salimma@fedoraproject.org> - 3^20230404gite2d68ea-6
- Add GNOME 46 support (rhbz#2272096)

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3^20230404gite2d68ea-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3^20230404gite2d68ea-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Oct 16 2023 Michel Lind <salimma@fedoraproject.org> - 3^20230404gite2d68ea-3
- Support GNOME 45 when built on relevant releases

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3^20230404gite2d68ea-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 06 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 3^20230404gite2d68ea-1
- Update to support GNOME 44
- convert license field to SPDX identifier

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3^20220712git1180568-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Sep 30 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 3^20220712git1180568-1
- Mark this as compatible with GNOME 43

* Thu Aug 04 2022 silentmanww <silentmanww@gmail.com> - 3^20220711git028b229-1
- fix for GObject error due to GNOME shell 3-digit versions

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3^20211027git2eb03a7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Apr 14 2022 Ed Vergara <evergara444@gmail.com> - 3^20211027git2eb03a7-3
- Patch gnome-shell-extension-argos to fix javascript error introduced in
  gnome-shell 42

* Wed Mar 16 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 3^20211027git2eb03a7-2
- Spec clean-up

* Mon Mar 14 2022 Ed Vergara <evergara444@gmail.com> - 3^20211027git2eb03a7-1
- Update metadata to support GNOME 42

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3-8.20211027git2eb03a7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov  2 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 3-7.20211027git2eb03a7
- Update to support GNOME 41

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3-7.20200505git23718a8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Mar 31 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 3-6.20200505git23718a8
- Stop using forge macros as they are buggy on EPEL8

* Fri Mar 26 2021 Michel Alexandre Salim <salimma@fedoraproject.org> - 3-5.20200505git23718a8
- Switch to mwilck's fork which has better support for newer GNOME versions
- Declare support for GNOME 3.38 and 40

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3-4.20200110.fcb4751
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3-3.20200110.fcb4751
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Apr 28 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 3.2.20200110.fcb4751
- add URLs to pull requests for reference

* Thu Apr 23 2020 Michel Alexandre Salim <salimma@fedoraproject.org> - 3-1.20200110.fcb4751
- Initial Fedora package

## END: Generated by rpmautospec
